Automatic upgrade from vRealize Automation versions before 7.3 might fail to upgrade management Agents
search cancel

Automatic upgrade from vRealize Automation versions before 7.3 might fail to upgrade management Agents

book

Article ID: 326046

calendar_today

Updated On:

Products

VMware Aria Suite

Issue/Introduction

Symptoms:
  • Automatic upgrade from vRealize Automation 7.1 - 7.3¬†fails to upgrade management agents.
  • In "/opt/vmware/var/log/vami/updatecli.log" there is an error while executing the "/etc/bootstrap/preupdate.d/00-00-03-upgrade-management-agents" script, similar to:
The VMware certificate was not installed on the nodes listed below. Make sure the Management Agent is up and running on them and that it has connectivity to the VA.


Environment

VMware vRealize Automation 7.x
VMware vRealize Automation 7.1.x

Cause

  • The VMware signing certificate used by the Management Agent upgrade procedure for upgrades from versions before 7.3 has expired and the validations prevents it from being installed on the IaaS nodes, so the Management Agent upgrade cannot proceed.

Resolution

Currently, there is no resolution available.

Workaround:
  1. Log on each IaaS node.
  2. Download the Management Agent installer MSI file from the VAMI download page (https://<va_hostname>:5480/installer).
  3. Execute it to upgrade the Management Agent manually.
  4. SSH to the primary VA and execute "touch /tmp/do-not-upgrade-ma" to bypass the Management Agent upgrade.
  5. Run the automatic upgrade again from the VAMI Update tab.